
import logging.config
import routes
from flask import Flask
from flask_cors import CORS
from flask_compress import Compress
from flask_socketio import SocketIO
from flask_swagger_ui import get_swaggerui_blueprint
from flask import Blueprint, send_from_directory, render_template, request
import os
import json

from helpers import jwtmanager
from helpers import postgre_alchemy

cors = CORS()
compress = Compress()
socketio = SocketIO(async_mode='threading', ping_timeout=7200)


def create_app(configuration):
    app = Flask(
        __name__.split(',')[0],
        static_url_path='/static',
        static_folder='../static',
        template_folder='../templates'
    )

    # register route blueprint
    app.register_blueprint(routes.index.bp)
    app.register_blueprint(routes.error.bp)
    app.register_blueprint(routes.generate.bp, url_prefix='/public')
    app.register_blueprint(routes.template.bp, url_prefix='/public')
    app.register_blueprint(routes.alias_alias.bp, url_prefix='/alias')
    app.register_blueprint(routes.alias_skpd.bp, url_prefix='/alias')
    app.register_blueprint(routes.ban_pt_akreditasi_institusi.bp, url_prefix='/ban_pt')
    app.register_blueprint(routes.bapenda_bulan.bp, url_prefix='/bapenda')
    app.register_blueprint(routes.bapenda_laporanpajak.bp, url_prefix='/bapenda')
    app.register_blueprint(routes.bapenda_laporanpajak_perlokasi.bp, url_prefix='/bapenda')
    app.register_blueprint(routes.bapenda_lokasi.bp, url_prefix='/bapenda')
    app.register_blueprint(routes.bapenda_opendata_jumlah_bea_balik_nama_kendaraan_bermotor_provinsi.bp, url_prefix='/bapenda')
    app.register_blueprint(routes.bapenda_opendata_jumlah_kendaraan_berdasarkan_jenis_dan_fungsi.bp, url_prefix='/bapenda')
    app.register_blueprint(routes.bapenda_opendata_jumlah_kendaraan_bermotor_provinsi_jawa.bp, url_prefix='/bapenda')
    app.register_blueprint(routes.bapenda_opendata_jumlah_kendaraan_yang_belum_daftar_ulang_provinsi.bp, url_prefix='/bapenda')
    app.register_blueprint(routes.bapenda_opendata_jumlah_kendaraan_yang_tidak_daftar_ulang_provinsi.bp, url_prefix='/bapenda')
    app.register_blueprint(routes.bapenda_opendata_jumlah_pajak_dan_denda_kendaraan_bermotor_provinsi.bp, url_prefix='/bapenda')
    app.register_blueprint(routes.bapenda_opendata_jumlah_pembayaran_pajak_kendaraan_bermotor_melalui.bp, url_prefix='/bapenda')
    app.register_blueprint(routes.bapenda_potensipajak_jenispenerimaan.bp, url_prefix='/bapenda')
    app.register_blueprint(routes.bapenda_potensipajak_jumlah.bp, url_prefix='/bapenda')
    app.register_blueprint(routes.bapenda_potensipajak_rinci.bp, url_prefix='/bapenda')
    app.register_blueprint(routes.bapenda_potensipajak_umum.bp, url_prefix='/bapenda')
    app.register_blueprint(routes.bkd_opendata_jumlah_pns_daerah_otonom_berdasarkan_golongan.bp, url_prefix='/bkd')
    app.register_blueprint(routes.bkd_opendata_jumlah_pns_daerah_otonom_berdasarkan_jenis_kelamin.bp, url_prefix='/bkd')
    app.register_blueprint(routes.bkd_opendata_jumlah_pns_daerah_otonom_berdasarkan_kelompok_usia.bp, url_prefix='/bkd')
    app.register_blueprint(routes.bkd_opendata_jumlah_pns_daerah_otonom_berdasarkan_tingkat.bp, url_prefix='/bkd')
    app.register_blueprint(routes.bp2d_opendata_creative_research_journal_volume_2_bp2d_jawa_barat.bp, url_prefix='/bp2d')
    app.register_blueprint(routes.bp2d_opendata_creative_research_journal_volume_3_bp2d_jawa_barat.bp, url_prefix='/bp2d')
    app.register_blueprint(routes.bp2d_opendata_creative_research_journal_volume_4_bp2d_jawa_barat.bp, url_prefix='/bp2d')
    app.register_blueprint(routes.bp2d_opendata_penelitian_dan_kajian_bp2d_jawa_barat.bp, url_prefix='/bp2d')
    app.register_blueprint(routes.bp2d_opendata_penelitian_mandiri_fungsional_peneliti_bp2d.bp, url_prefix='/bp2d')
    app.register_blueprint(routes.bpbd_opendata_jumlah_jenis_bencana_provinsi_jawa_barat.bp, url_prefix='/bpbd')
    app.register_blueprint(routes.bpbd_opendata_jumlah_kerusakan_sarana_akibat_bencana_provinsi.bp, url_prefix='/bpbd')
    app.register_blueprint(routes.bpbd_opendata_jumlah_kerusakan_tempat_tinggal_akibat_bencana.bp, url_prefix='/bpbd')
    app.register_blueprint(routes.bpbd_opendata_jumlah_korban_bencana_provinsi_jawa_barat.bp, url_prefix='/bpbd')
    app.register_blueprint(routes.bpbd_opendata_taksiran_kerugian_bencana_provinsi_jawa_barat.bp, url_prefix='/bpbd')
    app.register_blueprint(routes.bpkad_opendata_jumlah_anggaran_belanja_langsung_jawa_barat.bp, url_prefix='/bpkad')
    app.register_blueprint(routes.bpkad_opendata_jumlah_anggaran_belanja_tidak_langsung_jawa_barat.bp, url_prefix='/bpkad')
    app.register_blueprint(routes.bpkad_opendata_jumlah_pendapatan_asli_daerah_jawa_barat.bp, url_prefix='/bpkad')
    app.register_blueprint(routes.bpkad_opendata_jumlah_pendapatan_dana_perimbangan_jawa_barat.bp, url_prefix='/bpkad')
    app.register_blueprint(routes.bpkad_opendata_jumlah_pendapatan_lain_yang_sah_jawa_barat.bp, url_prefix='/bpkad')
    app.register_blueprint(routes.bpkad_opendata_jumlah_penerimaan_pembiayaan_daerah_jawa_barat.bp, url_prefix='/bpkad')
    app.register_blueprint(routes.bpkad_opendata_jumlah_pengeluaran_pembiayaan_daerah_jawa_barat.bp, url_prefix='/bpkad')
    app.register_blueprint(routes.bps_opendata_angka_harapan_hidup_berdasarkan_kota_kabupaten.bp, url_prefix='/bps')
    app.register_blueprint(routes.bps_opendata_angka_harapan_lama_sekolah_berdasarkan.bp, url_prefix='/bps')
    app.register_blueprint(routes.bps_opendata_angka_harapan_lama_sekolah_berdasarkan_provinsi.bp, url_prefix='/bps')
    app.register_blueprint(routes.bps_opendata_gini_ratio_provinsi_jawa_barat.bp, url_prefix='/bps')
    app.register_blueprint(routes.bps_opendata_indeks_kesehatan_berdasarkan_provinsi.bp, url_prefix='/bps')
    app.register_blueprint(routes.bps_opendata_indeks_kesehatan_provinsi_jawa_barat.bp, url_prefix='/bps')
    app.register_blueprint(routes.bps_opendata_indeks_pembangunan_manusia_berdasarkan_provinsi.bp, url_prefix='/bps')
    app.register_blueprint(routes.bps_opendata_indeks_pembangunan_manusia_provinsi_jawa_barat.bp, url_prefix='/bps')
    app.register_blueprint(routes.bps_opendata_indeks_pendidikan_berdasarkan_provinsi.bp, url_prefix='/bps')
    app.register_blueprint(routes.bps_opendata_indeks_pendidikan_provinsi_jawa_barat.bp, url_prefix='/bps')
    app.register_blueprint(routes.bps_opendata_indeks_pengeluaran_berdasarkan_provinsi.bp, url_prefix='/bps')
    app.register_blueprint(routes.bps_opendata_indeks_pengeluaran_provinsi_jawa_barat.bp, url_prefix='/bps')
    app.register_blueprint(routes.bps_opendata_laju_pertumbuhan_pdrb_adhk_provinsi_jawa.bp, url_prefix='/bps')
    app.register_blueprint(routes.bps_opendata_pdrb_adhb_provinsi_jawa_barat.bp, url_prefix='/bps')
    app.register_blueprint(routes.bps_opendata_pdrb_adhk_provinsi_jawa_barat.bp, url_prefix='/bps')
    app.register_blueprint(routes.bps_opendata_pengeluaran_perkapita_berdasarkan_provinsi.bp, url_prefix='/bps')
    app.register_blueprint(routes.bps_opendata_pengeluaran_perkapita_provinsi_jawa_barat.bp, url_prefix='/bps')
    app.register_blueprint(routes.bps_opendata_persentase_penduduk_miskin_berdasarkan_provinsi.bp, url_prefix='/bps')
    app.register_blueprint(routes.bps_opendata_persentase_penduduk_miskin_provinsi_jawa_barat.bp, url_prefix='/bps')
    app.register_blueprint(routes.bps_opendata_proyeksi_jumlah_penduduk_provinsi_jawa_barat.bp, url_prefix='/bps')
    app.register_blueprint(routes.bps_opendata_rata_rata_lama_sekolah_berdasarkan_provinsi.bp, url_prefix='/bps')
    app.register_blueprint(routes.bps_opendata_rata_rata_lama_sekolah_provinsi_jawa_barat.bp, url_prefix='/bps')
    app.register_blueprint(routes.bps_podes2014_32_desa.bp, url_prefix='/bps')
    app.register_blueprint(routes.bps_podes2014_32_kabupaten.bp, url_prefix='/bps')
    app.register_blueprint(routes.bps_podes2014_32_kecamatan.bp, url_prefix='/bps')
    app.register_blueprint(routes.bps_podes2018_32_desa.bp, url_prefix='/bps')
    app.register_blueprint(routes.bps_podes2018_32_desa_ket.bp, url_prefix='/bps')
    app.register_blueprint(routes.bps_podes2018_32_kabupaten.bp, url_prefix='/bps')
    app.register_blueprint(routes.bps_podes2018_32_kabupaten_ket.bp, url_prefix='/bps')
    app.register_blueprint(routes.bps_podes2018_32_kecamatan.bp, url_prefix='/bps')
    app.register_blueprint(routes.bps_podes2018_32_kecamatan_ket.bp, url_prefix='/bps')
    app.register_blueprint(routes.bps_potensi_wisata_desa.bp, url_prefix='/bps')
    app.register_blueprint(routes.bps_potensi_wisata_kecamatan.bp, url_prefix='/bps')
    app.register_blueprint(routes.bpsdm_opendata_jenis_dan_jumlah_lulusan_pengembangan_kompetensi.bp, url_prefix='/bpsdm')
    app.register_blueprint(routes.dinsos_opendata_individu_status_kesejahteraan_provinsi_jawa_barat.bp, url_prefix='/dinsos')
    app.register_blueprint(routes.dinsos_opendata_penerima_bantuan_sosial_pangan_jawa_barat.bp, url_prefix='/dinsos')
    app.register_blueprint(routes.dinsos_opendata_penyandang_masalah_kesejahteraan_sosial_provinsi_jawa.bp, url_prefix='/dinsos')
    app.register_blueprint(routes.dinsos_opendata_potensi_dan_sumber_kesejahteraan_sosial_provinsi_jawa.bp, url_prefix='/dinsos')
    app.register_blueprint(routes.dinsos_opendata_rumah_tangga_status_kesejahteraan_provinsi_jawa.bp, url_prefix='/dinsos')
    app.register_blueprint(routes.dinsos_opendata_sarana_sosial_provinsi_jawa_barat.bp, url_prefix='/dinsos')
    app.register_blueprint(routes.disbun_opendata_luas_tanaman_semusim_perkebunan_negara_tebu.bp, url_prefix='/disbun')
    app.register_blueprint(routes.disbun_opendata_luas_tanaman_semusim_perkebunan_rakyat.bp, url_prefix='/disbun')
    app.register_blueprint(routes.disbun_opendata_luas_tanaman_tahunan_perkebunan_negara.bp, url_prefix='/disbun')
    app.register_blueprint(routes.disbun_opendata_luas_tanaman_tahunan_perkebunan_rakyat.bp, url_prefix='/disbun')
    app.register_blueprint(routes.disbun_opendata_luas_tanaman_tahunan_perkebunan_swasta.bp, url_prefix='/disbun')
    app.register_blueprint(routes.disbun_opendata_produksi_tanaman_semusim_perkebunan_negara_tebu.bp, url_prefix='/disbun')
    app.register_blueprint(routes.disbun_opendata_produksi_tanaman_semusim_perkebunan_rakyat.bp, url_prefix='/disbun')
    app.register_blueprint(routes.disbun_opendata_produksi_tanaman_tahunan_perkebunan_besar_swasta.bp, url_prefix='/disbun')
    app.register_blueprint(routes.disbun_opendata_produksi_tanaman_tahunan_perkebunan_negara.bp, url_prefix='/disbun')
    app.register_blueprint(routes.disbun_opendata_produksi_tanaman_tahunan_perkebunan_rakyat.bp, url_prefix='/disbun')
    app.register_blueprint(routes.disdik_opendata_jumlah_kepala_sekolah_dan_guru_smk_ijazah_tertinggi.bp, url_prefix='/disdik')
    app.register_blueprint(routes.disdik_opendata_jumlah_kepala_sekolah_dan_guru_smk_kelompok_umur.bp, url_prefix='/disdik')
    app.register_blueprint(routes.disdik_opendata_jumlah_kepala_sekolah_dan_guru_smk_masa_kerja.bp, url_prefix='/disdik')
    app.register_blueprint(routes.disdik_opendata_jumlah_kepala_sekolah_dan_guru_smk_status.bp, url_prefix='/disdik')
    app.register_blueprint(routes.disdik_opendata_jumlah_kepala_sekolah_dan_guru_smk_status_sekolah.bp, url_prefix='/disdik')
    app.register_blueprint(routes.disdik_opendata_jumlah_laboratorium_ipa_smk_kondisi_provinsi_jawa.bp, url_prefix='/disdik')
    app.register_blueprint(routes.disdik_opendata_jumlah_perpustakaan_smk_kondisi_provinsi_jawa_barat.bp, url_prefix='/disdik')
    app.register_blueprint(routes.disdik_opendata_jumlah_rombongan_belajar_smk_tingkat_provinsi_jawa.bp, url_prefix='/disdik')
    app.register_blueprint(routes.disdik_opendata_jumlah_ruang_kelas_smk_kondisi_provinsi_jawa_barat.bp, url_prefix='/disdik')
    app.register_blueprint(routes.disdik_opendata_jumlah_siswa_smk_agama_provinsi_jawa_barat_tahun.bp, url_prefix='/disdik')
    app.register_blueprint(routes.disdik_opendata_jumlah_siswa_smk_kelompok_umur_provinsi_jawa_barat.bp, url_prefix='/disdik')
    app.register_blueprint(routes.disdik_opendata_jumlah_siswa_smk_status_sekolah_provinsi_jawa_barat.bp, url_prefix='/disdik')
    app.register_blueprint(routes.disdik_opendata_jumlah_siswa_smk_tingkat_provinsi_jawa_barat_tahun.bp, url_prefix='/disdik')
    app.register_blueprint(routes.disdik_opendata_jumlah_smk_kecukupan_air_provinsi_jawa_barat_tahun.bp, url_prefix='/disdik')
    app.register_blueprint(routes.disdik_opendata_jumlah_smk_sumber_air_provinsi_jawa_barat_tahun.bp, url_prefix='/disdik')
    app.register_blueprint(routes.disdik_opendata_jumlah_smk_waktu_penyelenggara_provinsi_jawa_barat.bp, url_prefix='/disdik')
    app.register_blueprint(routes.disdik_opendata_jumlah_tenaga_kependididkan_smk_golongan_provinsi.bp, url_prefix='/disdik')
    app.register_blueprint(routes.disdik_opendata_jumlah_tenaga_kependidikan_smk_ijazah_tertinggi.bp, url_prefix='/disdik')
    app.register_blueprint(routes.disdik_opendata_jumlah_tenaga_kependidikan_smk_kelompok_umur.bp, url_prefix='/disdik')
    app.register_blueprint(routes.disdik_opendata_jumlah_tenaga_kependidikan_smk_masa_kerja_provinsi.bp, url_prefix='/disdik')
    app.register_blueprint(routes.disdik_opendata_jumlah_tenaga_kependidikan_smk_status_kepegawaian.bp, url_prefix='/disdik')
    app.register_blueprint(routes.disdik_opendata_jumlah_tenaga_kependidikan_smk_status_sekolah.bp, url_prefix='/disdik')
    app.register_blueprint(routes.disdik_opendata_jumlah_toilet_guru_smk_kondisi_provinsi_jawa_barat.bp, url_prefix='/disdik')
    app.register_blueprint(routes.disdik_opendata_jumlah_toilet_siswa_smk_kondisi_provinsi_jawa_barat.bp, url_prefix='/disdik')
    app.register_blueprint(routes.disdik_opendata_jumlah_usaha_kesehatan_sekolah_smk_kondisi_provinsi.bp, url_prefix='/disdik')
    app.register_blueprint(routes.disdik_sekolah.bp, url_prefix='/disdik')
    app.register_blueprint(routes.disdukcapil_kependudukan.bp, url_prefix='/disdukcapil')
    app.register_blueprint(routes.disdukcapil_opendata_jumlah_kepala_keluarga_belum_kawin_berdasarkan.bp, url_prefix='/disdukcapil')
    app.register_blueprint(routes.disdukcapil_opendata_jumlah_kepala_keluarga_berdasarkan_kab_kota_dan.bp, url_prefix='/disdukcapil')
    app.register_blueprint(routes.disdukcapil_opendata_jumlah_kepala_keluarga_berdasarkan_kelompok.bp, url_prefix='/disdukcapil')
    app.register_blueprint(routes.disdukcapil_opendata_jumlah_kepala_keluarga_berdasarkan_tingkat.bp, url_prefix='/disdukcapil')
    app.register_blueprint(routes.disdukcapil_opendata_jumlah_kepala_keluarga_cerai_hidup_berdasarkan.bp, url_prefix='/disdukcapil')
    app.register_blueprint(routes.disdukcapil_opendata_jumlah_kepala_keluarga_cerai_hidup_berdasarkan_kab.bp, url_prefix='/disdukcapil')
    app.register_blueprint(routes.disdukcapil_opendata_jumlah_kepala_keluarga_cerai_mati_berdasarkan.bp, url_prefix='/disdukcapil')
    app.register_blueprint(routes.disdukcapil_opendata_jumlah_kepala_keluarga_cerai_mati_berdasarkan_kab.bp, url_prefix='/disdukcapil')
    app.register_blueprint(routes.disdukcapil_opendata_jumlah_kepala_keluarga_kawin_berdasarkan_kab.bp, url_prefix='/disdukcapil')
    app.register_blueprint(routes.disdukcapil_opendata_jumlah_kepala_keluarga_kawin_berdasarkan_umur_dan.bp, url_prefix='/disdukcapil')
    app.register_blueprint(routes.disdukcapil_opendata_jumlah_kepemilikan_akta_perceraian_berdasarkan_jenis.bp, url_prefix='/disdukcapil')
    app.register_blueprint(routes.disdukcapil_opendata_jumlah_kepemilikan_akta_perkawinan_berdasarkan_jenis.bp, url_prefix='/disdukcapil')
    app.register_blueprint(routes.disdukcapil_opendata_jumlah_penduduk_berdasarkan_agama_kepercayaan_dan.bp, url_prefix='/disdukcapil')
    app.register_blueprint(routes.disdukcapil_opendata_jumlah_penduduk_berdasarkan_golongan_darah_dan_jenis.bp, url_prefix='/disdukcapil')
    app.register_blueprint(routes.disdukcapil_opendata_jumlah_penduduk_berdasarkan_kelompok_pekerjaan_dan.bp, url_prefix='/disdukcapil')
    app.register_blueprint(routes.disdukcapil_opendata_jumlah_penduduk_berdasarkan_kelompok_umur_dan_jenis.bp, url_prefix='/disdukcapil')
    app.register_blueprint(routes.disdukcapil_opendata_jumlah_penduduk_berdasarkan_kelompok_usia_dan.bp, url_prefix='/disdukcapil')
    app.register_blueprint(routes.disdukcapil_opendata_jumlah_penduduk_berdasarkan_shdk_dan_jenis_kelamin.bp, url_prefix='/disdukcapil')
    app.register_blueprint(routes.disdukcapil_opendata_jumlah_penduduk_disabilitas_berdasarkan_kab_kota_dan.bp, url_prefix='/disdukcapil')
    app.register_blueprint(routes.disdukcapil_opendata_jumlah_penduduk_kawin_berdasarkan_kelompok_umur.bp, url_prefix='/disdukcapil')
    app.register_blueprint(routes.disdukcapil_opendata_jumlah_penduduk_usia_muda_berdasarkan_kab_kota_dan.bp, url_prefix='/disdukcapil')
    app.register_blueprint(routes.disdukcapil_opendata_jumlah_penduduk_usia_produktif_berdasarkan_kab_kota.bp, url_prefix='/disdukcapil')
    app.register_blueprint(routes.disdukcapil_opendata_jumlah_penduduk_usia_tua_berdasarkan_kab_kota_dan.bp, url_prefix='/disdukcapil')
    app.register_blueprint(routes.disdukcapil_opendata_jumlah_penduduk_wajib_ktp_berdasarkan_kota_kab.bp, url_prefix='/disdukcapil')
    app.register_blueprint(routes.disdukcapil_opendata_rasio_jenis_kelamin_berdasarkan_kota_kab_provinsi.bp, url_prefix='/disdukcapil')
    app.register_blueprint(routes.dishub_opendata_jumlah_aktivitas_barang_angkutan_sungai_danau_dan.bp, url_prefix='/dishub')
    app.register_blueprint(routes.dishub_opendata_jumlah_kunjungan_kapal_angkutan_sungai_danau_dan.bp, url_prefix='/dishub')
    app.register_blueprint(routes.dishub_opendata_jumlah_penumpang_angkutan_sungai_danau_dan.bp, url_prefix='/dishub')
    app.register_blueprint(routes.dishub_opendata_jumlah_terminal_tipe_provinsi_jawa_barat.bp, url_prefix='/dishub')
    app.register_blueprint(routes.dishub_opendata_status_pelabuhan_provinsi_jawa_barat.bp, url_prefix='/dishub')
    app.register_blueprint(routes.dishut_opendata_jumlah_desa_sekitar_hutan_provinsi_jawa_barat.bp, url_prefix='/dishut')
    app.register_blueprint(routes.dishut_opendata_luas_penanaman_pohon_di_provinsi_jawa_barat.bp, url_prefix='/dishut')
    app.register_blueprint(routes.dishut_opendata_luas_penanaman_pohon_provinsi_jawa_barat.bp, url_prefix='/dishut')
    app.register_blueprint(routes.disindag_opendata_jumlah_investasi_industri_kecil_menengah_dan_besar.bp, url_prefix='/disindag')
    app.register_blueprint(routes.disindag_opendata_jumlah_tenaga_kerja_industri_kecil_menengah_dan.bp, url_prefix='/disindag')
    app.register_blueprint(routes.disindag_opendata_jumlah_unit_usaha_industri_kecil_menengah_dan_besar.bp, url_prefix='/disindag')
    app.register_blueprint(routes.disindag_sd_data_perusahaan.bp, url_prefix='/disindag')
    app.register_blueprint(routes.disindag_sd_harga_komoditas.bp, url_prefix='/disindag')
    app.register_blueprint(routes.diskanlut_opendata_jumlah_produksi_budidaya_pembesaran_provinsi.bp, url_prefix='/diskanlut')
    app.register_blueprint(routes.diskanlut_opendata_jumlah_produksi_garam_usaha_provinsi_jawa_barat.bp, url_prefix='/diskanlut')
    app.register_blueprint(routes.diskanlut_opendata_jumlah_produksi_pembenihan_provinsi_jawa_barat.bp, url_prefix='/diskanlut')
    app.register_blueprint(routes.diskanlut_opendata_jumlah_produksi_pengolahan_mikro_provinsi_jawa_barat.bp, url_prefix='/diskanlut')
    app.register_blueprint(routes.diskanlut_opendata_jumlah_produksi_perikanan_budidaya_provinsi.bp, url_prefix='/diskanlut')
    app.register_blueprint(routes.diskanlut_opendata_jumlah_produksi_perikanan_tangkap_provinsi.bp, url_prefix='/diskanlut')
    app.register_blueprint(routes.diskanlut_opendata_jumlah_produksi_tangkap_perairan_laut_provinsi.bp, url_prefix='/diskanlut')
    app.register_blueprint(routes.diskanlut_opendata_jumlah_produksi_tangkap_perairan_umum_daratan.bp, url_prefix='/diskanlut')
    app.register_blueprint(routes.diskanlut_opendata_luas_produksi_usaha_garam_provinsi_jawa_barat.bp, url_prefix='/diskanlut')
    app.register_blueprint(routes.diskes_odp_pdp_positif_covid19_detail_jawa_barat.bp, url_prefix='/diskes')
    app.register_blueprint(routes.diskes_opendata_fasilitas_kesehatan.bp, url_prefix='/diskes')
    app.register_blueprint(routes.diskes_opendata_jumlah_desa_yang_melaksanakan_stbm_provinsi_jawa.bp, url_prefix='/diskes')
    app.register_blueprint(routes.diskes_opendata_jumlah_ibu_bersalin_berdasarkan_kegiatan.bp, url_prefix='/diskes')
    app.register_blueprint(routes.diskes_opendata_jumlah_ibu_hamil_mendapat_tablet_fe1_dan_fe3.bp, url_prefix='/diskes')
    app.register_blueprint(routes.diskes_opendata_jumlah_ibu_hamil_yang_melakukian_imuniasi_tt.bp, url_prefix='/diskes')
    app.register_blueprint(routes.diskes_opendata_jumlah_kejadian_luar_biasa_provinsi_jawa.bp, url_prefix='/diskes')
    app.register_blueprint(routes.diskes_opendata_jumlah_kelahiran_berdasarkan_jenis_kelamin.bp, url_prefix='/diskes')
    app.register_blueprint(routes.diskes_opendata_jumlah_kematian_berdasarkan_jenis_kelamin.bp, url_prefix='/diskes')
    app.register_blueprint(routes.diskes_opendata_jumlah_kematian_berdasarkan_penyebab_provinsi_jawa.bp, url_prefix='/diskes')
    app.register_blueprint(routes.diskes_opendata_jumlah_kematian_ibu_berdasarkan_kelompok_umur.bp, url_prefix='/diskes')
    app.register_blueprint(routes.diskes_opendata_jumlah_kunjungan_ibu_hamil_provinsi_jawa.bp, url_prefix='/diskes')
    app.register_blueprint(routes.diskes_opendata_jumlah_kunjungan_neonatal_provinsi_jawa.bp, url_prefix='/diskes')
    app.register_blueprint(routes.diskes_opendata_jumlah_pelayanan_gigi_dan_mulut_provinsi_jawa.bp, url_prefix='/diskes')
    app.register_blueprint(routes.diskes_opendata_jumlah_pelayanan_kesehatan_berdasarkan_jenis_kelamin.bp, url_prefix='/diskes')
    app.register_blueprint(routes.diskes_opendata_jumlah_pemberian_vitamin_a_provinsi_jawa.bp, url_prefix='/diskes')
    app.register_blueprint(routes.diskes_opendata_jumlah_penanganan_komplikasi_neonatal_provinsi_jawa.bp, url_prefix='/diskes')
    app.register_blueprint(routes.diskes_opendata_jumlah_penduduk_berdasarkan_akses_air_minum_layak.bp, url_prefix='/diskes')
    app.register_blueprint(routes.diskes_opendata_jumlah_penduduk_berdasarkan_sanitasi_layak.bp, url_prefix='/diskes')
    app.register_blueprint(routes.diskes_opendata_jumlah_penduduk_obesitas_usia_15_tahun_ke_atas_di.bp, url_prefix='/diskes')
    app.register_blueprint(routes.diskes_opendata_jumlah_penduduk_pengguna_jaminan_kesehatan.bp, url_prefix='/diskes')
    app.register_blueprint(routes.diskes_opendata_jumlah_penyelenggara_air_minum_provinsi_jawa.bp, url_prefix='/diskes')
    app.register_blueprint(routes.diskes_opendata_jumlah_peserta_kb_aktif_provinsi_jawa.bp, url_prefix='/diskes')
    app.register_blueprint(routes.diskes_opendata_jumlah_posyandu_berdasarkan_strata_provinsi_jawa.bp, url_prefix='/diskes')
    app.register_blueprint(routes.diskes_opendata_jumlah_rumah_sehat_provinsi_jawa.bp, url_prefix='/diskes')
    app.register_blueprint(routes.diskes_opendata_jumlah_rumah_tangga_ber_phbs_provinsi_jawa.bp, url_prefix='/diskes')
    app.register_blueprint(routes.diskes_opendata_jumlah_sarana_kesehatan_pelayanan_gadar_level_i.bp, url_prefix='/diskes')
    app.register_blueprint(routes.diskes_opendata_jumlah_tempat_umum_memenuhi_syarat_kesehatan.bp, url_prefix='/diskes')
    app.register_blueprint(routes.diskes_opendata_jumlah_tpm_berdasarkan_status_higiene_sanitasi.bp, url_prefix='/diskes')
    app.register_blueprint(routes.diskes_opendata_jumlah_ukbm_provinsi_jawa.bp, url_prefix='/diskes')
    app.register_blueprint(routes.diskes_opendata_odp_pdp_positif_covid19_jawa_barat.bp, url_prefix='/diskes')
    app.register_blueprint(routes.diskes_opendata_persentase_desa_kelurahan_universal_child.bp, url_prefix='/diskes')
    app.register_blueprint(routes.diskominfo_opendata_jumlah_aplikasi_yang_digunakan_provinsi_jawa.bp, url_prefix='/diskominfo')
    app.register_blueprint(routes.diskominfo_opendata_jumlah_jaringan_komputer_perangkat_daerah_provinsi.bp, url_prefix='/diskominfo')
    app.register_blueprint(routes.diskuk_opendata_anggota_koperasi_laki_laki_berdasarkan_kelompok.bp, url_prefix='/diskuk')
    app.register_blueprint(routes.diskuk_opendata_anggota_koperasi_laki_laki_berdasarkan_sektor_usaha.bp, url_prefix='/diskuk')
    app.register_blueprint(routes.diskuk_opendata_keragaan_koperasi_berdasarkan_anggota_koperasi.bp, url_prefix='/diskuk')
    app.register_blueprint(routes.diskuk_opendata_keragaan_koperasi_berdasarkan_karyawan_koperasi.bp, url_prefix='/diskuk')
    app.register_blueprint(routes.diskuk_opendata_keragaan_koperasi_berdasarkan_keaktifan_koperasi.bp, url_prefix='/diskuk')
    app.register_blueprint(routes.diskuk_opendata_keragaan_koperasi_berdasarkan_manajer_koperasi.bp, url_prefix='/diskuk')
    app.register_blueprint(routes.diskuk_opendata_keragaan_koperasi_berdasarkan_rat.bp, url_prefix='/diskuk')
    app.register_blueprint(routes.diskuk_opendata_keragaan_koperasi_berdasarkan_sisa_hasil_usaha.bp, url_prefix='/diskuk')
    app.register_blueprint(routes.diskuk_opendata_koperasi_aktif_berdasarkan_kabupaten_atau_kota.bp, url_prefix='/diskuk')
    app.register_blueprint(routes.diskuk_opendata_koperasi_aktif_berdasarkan_kelompok_koperasi.bp, url_prefix='/diskuk')
    app.register_blueprint(routes.diskuk_opendata_koperasi_aktif_berdasarkan_sektor_usaha.bp, url_prefix='/diskuk')
    app.register_blueprint(routes.disnakertrans_opendata_angkatan_kerja_daerah.bp, url_prefix='/disnakertrans')
    app.register_blueprint(routes.disnakertrans_opendata_angkatan_kerja_golongan_umur.bp, url_prefix='/disnakertrans')
    app.register_blueprint(routes.disnakertrans_opendata_angkatan_kerja_jenis_kelamin.bp, url_prefix='/disnakertrans')
    app.register_blueprint(routes.disnakertrans_opendata_angkatan_kerja_kabupaten_atau_kota.bp, url_prefix='/disnakertrans')
    app.register_blueprint(routes.disnakertrans_opendata_angkatan_kerja_tingkat_pendidikan.bp, url_prefix='/disnakertrans')
    app.register_blueprint(routes.disnakertrans_opendata_penduduk_usia_kerja_daerah.bp, url_prefix='/disnakertrans')
    app.register_blueprint(routes.disnakertrans_opendata_penduduk_usia_kerja_golongan_umur.bp, url_prefix='/disnakertrans')
    app.register_blueprint(routes.disnakertrans_opendata_penduduk_usia_kerja_jenis_kelamin.bp, url_prefix='/disnakertrans')
    app.register_blueprint(routes.disnakertrans_opendata_penduduk_usia_kerja_kegiatan.bp, url_prefix='/disnakertrans')
    app.register_blueprint(routes.disnakertrans_opendata_penduduk_usia_kerja_tingkat_pendidikan.bp, url_prefix='/disnakertrans')
    app.register_blueprint(routes.disnakertrans_opendata_penduduk_yang_bekerja_daerah.bp, url_prefix='/disnakertrans')
    app.register_blueprint(routes.disnakertrans_opendata_penduduk_yang_bekerja_golongan_umur.bp, url_prefix='/disnakertrans')
    app.register_blueprint(routes.disnakertrans_opendata_penduduk_yang_bekerja_jam_kerja.bp, url_prefix='/disnakertrans')
    app.register_blueprint(routes.disnakertrans_opendata_penduduk_yang_bekerja_jenis_kelamin.bp, url_prefix='/disnakertrans')
    app.register_blueprint(routes.disnakertrans_opendata_penduduk_yang_bekerja_jenis_pekerjaan_atau_jabatan.bp, url_prefix='/disnakertrans')
    app.register_blueprint(routes.disnakertrans_opendata_penduduk_yang_bekerja_kabupaten_atau_kota.bp, url_prefix='/disnakertrans')
    app.register_blueprint(routes.disnakertrans_opendata_penduduk_yang_bekerja_paruh_waktu_jenis_pekerjaan.bp, url_prefix='/disnakertrans')
    app.register_blueprint(routes.disnakertrans_opendata_penduduk_yang_bekerja_tingkat_pendidikan.bp, url_prefix='/disnakertrans')
    app.register_blueprint(routes.disnakertrans_opendata_penganggur_terbuka_pendidikan_jawa_barat.bp, url_prefix='/disnakertrans')
    app.register_blueprint(routes.disnakertrans_opendata_tingkat_partisipasi_angkatan_kerja_daerah_jawa_barat.bp, url_prefix='/disnakertrans')
    app.register_blueprint(routes.disnakertrans_opendata_tingkat_partisipasi_angkatan_kerja_golongan_umur_jawa.bp, url_prefix='/disnakertrans')
    app.register_blueprint(routes.disnakertrans_opendata_tingkat_partisipasi_angkatan_kerja_jenis_kelamin_jawa.bp, url_prefix='/disnakertrans')
    app.register_blueprint(routes.disnakertrans_opendata_tingkat_partisipasi_angkatan_kerja_pendidikan_jawa.bp, url_prefix='/disnakertrans')
    app.register_blueprint(routes.disparbud_opendata_angkutan_wisata_armada_provinsi_jawa.bp, url_prefix='/disparbud')
    app.register_blueprint(routes.disparbud_opendata_asosiasi_usaha_pariwisata_anggota_provinsi_jawa.bp, url_prefix='/disparbud')
    app.register_blueprint(routes.disparbud_opendata_asosiasi_usaha_pariwisata_pengurus_provinsi_jawa.bp, url_prefix='/disparbud')
    app.register_blueprint(routes.disparbud_opendata_hotel_melati_jenis_provinsi_jawa_barat.bp, url_prefix='/disparbud')
    app.register_blueprint(routes.disparbud_opendata_jumlah_anggota_penggerak_pariwisata_provinsi_jawa.bp, url_prefix='/disparbud')
    app.register_blueprint(routes.disparbud_opendata_jumlah_benda_cagar_budaya_jenis_provinsi_jawa_barat.bp, url_prefix='/disparbud')
    app.register_blueprint(routes.disparbud_opendata_jumlah_hotel_bintang_jenis_provinsi_jawa_barat.bp, url_prefix='/disparbud')
    app.register_blueprint(routes.disparbud_opendata_jumlah_kawasan_pariwisata_provinsi_jawa_barat.bp, url_prefix='/disparbud')
    app.register_blueprint(routes.disparbud_opendata_jumlah_kelompok_penggerak_pariwisata_provinsi_jawa.bp, url_prefix='/disparbud')
    app.register_blueprint(routes.disparbud_opendata_jumlah_lokasi_potensi_objek_dan_daya_tarik_wisata.bp, url_prefix='/disparbud')
    app.register_blueprint(routes.disparbud_opendata_jumlah_museum_jenis_provinsi_jawa_barat.bp, url_prefix='/disparbud')
    app.register_blueprint(routes.disparbud_opendata_jumlah_pemelihara_benda_cagar_budaya_provinsi_jawa.bp, url_prefix='/disparbud')
    app.register_blueprint(routes.disparbud_opendata_jumlah_usaha_angkutan_wisata_provinsi_jawa_barat.bp, url_prefix='/disparbud')
    app.register_blueprint(routes.disparbud_opendata_kamar_hotel_bintang_provinsi_jawa_barat.bp, url_prefix='/disparbud')
    app.register_blueprint(routes.disparbud_opendata_kamar_hotel_melati_provinsi_jawa_barat.bp, url_prefix='/disparbud')
    app.register_blueprint(routes.disparbud_opendata_kampung_adat_provinsi_jawa_barat.bp, url_prefix='/disparbud')
    app.register_blueprint(routes.disparbud_opendata_kawasan_pariwisata_kunjungan_wisatawan_provinsi_jawa.bp, url_prefix='/disparbud')
    app.register_blueprint(routes.disparbud_opendata_kolam_pemancingan_jumlah_provinsi_jawa_barat.bp, url_prefix='/disparbud')
    app.register_blueprint(routes.disparbud_opendata_kolam_pemancingan_luas_provinsi_jawa_barat.bp, url_prefix='/disparbud')
    app.register_blueprint(routes.disparbud_opendata_kolam_renang_kepemilikan_provinsi_jawa_barat.bp, url_prefix='/disparbud')
    app.register_blueprint(routes.disparbud_opendata_kolam_renang_kunjungan_wisatawan_provinsi_jawa_barat.bp, url_prefix='/disparbud')
    app.register_blueprint(routes.disparbud_opendata_kunjungan_wisatawan_ke_akomodasi_dan_objek_wisata.bp, url_prefix='/disparbud')
    app.register_blueprint(routes.disparbud_opendata_lapangan_golf_anggota_provinsi_jawa_barat.bp, url_prefix='/disparbud')
    app.register_blueprint(routes.disparbud_opendata_lapangan_golf_jumlah_provinsi_jawa_barat.bp, url_prefix='/disparbud')
    app.register_blueprint(routes.disparbud_opendata_lapangan_golf_luas_provinsi_jawa_barat.bp, url_prefix='/disparbud')
    app.register_blueprint(routes.disparbud_opendata_lemdik_kebudayaan_provinsi_jawa_barat.bp, url_prefix='/disparbud')
    app.register_blueprint(routes.disparbud_opendata_lemdik_pariwisata_provinsi_jawa_barat.bp, url_prefix='/disparbud')
    app.register_blueprint(routes.disparbud_opendata_luas_lahan_kawasan_pariwisata_provinsi_jawa_barat.bp, url_prefix='/disparbud')
    app.register_blueprint(routes.disparbud_opendata_masyarakat_pariwisata_indonesia_anggota_provinsi.bp, url_prefix='/disparbud')
    app.register_blueprint(routes.disparbud_opendata_masyarakat_pariwisata_indonesia_jumlah_provinsi_jawa.bp, url_prefix='/disparbud')
    app.register_blueprint(routes.disparbud_opendata_mesin_ketangkasan_jenis_provinsi_jawa_barat.bp, url_prefix='/disparbud')
    app.register_blueprint(routes.disparbud_opendata_mesin_ketangkasan_jumlah_pengunjung_provinsi_jawa.bp, url_prefix='/disparbud')
    app.register_blueprint(routes.disparbud_opendata_museum_jumlah_pengunjung_provinsi_jawa_barat.bp, url_prefix='/disparbud')
    app.register_blueprint(routes.disparbud_opendata_museum_koleksi_provinsi_jawa_barat.bp, url_prefix='/disparbud')
    app.register_blueprint(routes.disparbud_opendata_museum_tenaga_kerja_provinsi_jawa_barat.bp, url_prefix='/disparbud')
    app.register_blueprint(routes.disparbud_opendata_organisasi_kesenian_per_cabang_seni_provinsi_jawa.bp, url_prefix='/disparbud')
    app.register_blueprint(routes.disparbud_opendata_pendapatan_asli_daerah_bidang_pariwisata_provinsi.bp, url_prefix='/disparbud')
    app.register_blueprint(routes.disparbud_opendata_penginapan_remaja_kunjungan_wisatawan_provinsi_jawa.bp, url_prefix='/disparbud')
    app.register_blueprint(routes.disparbud_opendata_penyedia_sarana_wisata_tirta_provinsi_jawa_barat.bp, url_prefix='/disparbud')
    app.register_blueprint(routes.disparbud_opendata_perkemahan_jumlah_provinsi_jawa_barat.bp, url_prefix='/disparbud')
    app.register_blueprint(routes.disparbud_opendata_perkemahan_luas_provinsi_jawa_barat.bp, url_prefix='/disparbud')
    app.register_blueprint(routes.disparbud_opendata_perkemahan_pengunjung_provinsi_jawa_barat.bp, url_prefix='/disparbud')
    app.register_blueprint(routes.disparbud_opendata_pondok_wisata_pengunjung_provinsi_jawa_barat.bp, url_prefix='/disparbud')
    app.register_blueprint(routes.disparbud_opendata_potensi_odtw_luas_provinsi_jawa_barat.bp, url_prefix='/disparbud')
    app.register_blueprint(routes.disparbud_opendata_pramuwisata_bahasa_yang_dikuasai_provinsi_jawa_barat.bp, url_prefix='/disparbud')
    app.register_blueprint(routes.disparbud_opendata_pramuwisata_jenis_kelamin_provinsi_jawa_barat.bp, url_prefix='/disparbud')
    app.register_blueprint(routes.disparbud_opendata_pramuwisata_status_sertifikasi_provinsi_jawa_barat.bp, url_prefix='/disparbud')
    app.register_blueprint(routes.disparbud_opendata_sarana_wisata_tirta_provinsi_jawa_barat.bp, url_prefix='/disparbud')
    app.register_blueprint(routes.disparbud_opendata_seniman_jenis_kelamin_provinsi_jawa_barat.bp, url_prefix='/disparbud')
    app.register_blueprint(routes.disparbud_opendata_seniman_kesenian_provinsi_jawa_barat.bp, url_prefix='/disparbud')
    app.register_blueprint(routes.disparbud_opendata_tempat_rekreasi_jumlah_provinsi_jawa_barat.bp, url_prefix='/disparbud')
    app.register_blueprint(routes.disparbud_opendata_tempat_rekreasi_luas_provinsi_jawa_barat.bp, url_prefix='/disparbud')
    app.register_blueprint(routes.disparbud_opendata_tempat_rekreasi_pengunjung_provinsi_jawa_barat.bp, url_prefix='/disparbud')
    app.register_blueprint(routes.disparbud_opendata_tempat_tidur_hotel_bintang_provinsi_jawa_barat.bp, url_prefix='/disparbud')
    app.register_blueprint(routes.disparbud_opendata_tempat_tidur_hotel_melati_provinsi_jawa_barat.bp, url_prefix='/disparbud')
    app.register_blueprint(routes.disparbud_opendata_tenaga_kerja_bidang_jasa_pariwisata_provinsi_jawa.bp, url_prefix='/disparbud')
    app.register_blueprint(routes.disparbud_opendata_tenaga_kerja_bidang_permainan_provinsi_jawa_barat.bp, url_prefix='/disparbud')
    app.register_blueprint(routes.disparbud_opendata_tenaga_kerja_bidang_sarana_pariwisata_provinsi_jawa.bp, url_prefix='/disparbud')
    app.register_blueprint(routes.disparbud_opendata_tenaga_kerja_odtw_di_provinsi_jawa_barat.bp, url_prefix='/disparbud')
    app.register_blueprint(routes.disparbud_opendata_tenaga_kerja_restoran_rumah_makan_cafe_provinsi_jawa.bp, url_prefix='/disparbud')
    app.register_blueprint(routes.disparbud_opendata_tokoh_sejarah_provinsi_jawa_barat.bp, url_prefix='/disparbud')
    app.register_blueprint(routes.disparbud_opendata_usaha_impresariat_daya_tampung_provinsi_jawa_barat.bp, url_prefix='/disparbud')
    app.register_blueprint(routes.disparbud_opendata_usaha_impresariat_jumlah_provinsi_jawa_barat.bp, url_prefix='/disparbud')
    app.register_blueprint(routes.disparbud_opendata_usaha_jasa_konsultan_dan_informasi_pariwisata.bp, url_prefix='/disparbud')
    app.register_blueprint(routes.disparbud_opendata_usaha_perjalanan_wisata_jenis_provinsi_jawa_barat.bp, url_prefix='/disparbud')
    app.register_blueprint(routes.disparbud_opendata_usaha_perjalanan_wisata_tenaga_kerja_provinsi_jawa.bp, url_prefix='/disparbud')
    app.register_blueprint(routes.disperkim_opendata_persentase_cakupan_pelayanan_air_minum_provinsi_jawa.bp, url_prefix='/disperkim')
    app.register_blueprint(routes.disperkim_opendata_volume_penanganan_sampah_provinsi_jawa_barat.bp, url_prefix='/disperkim')
    app.register_blueprint(routes.dispora_opendata_jumlah_atlet_pplp_keolahragaan_provinsi_jawa_barat.bp, url_prefix='/dispora')
    app.register_blueprint(routes.dispora_opendata_jumlah_badan_keolahragaan_fungsional_provinsi_jawa.bp, url_prefix='/dispora')
    app.register_blueprint(routes.dispora_opendata_jumlah_kelompok_usaha_produktif_provinsi_jawa_barat.bp, url_prefix='/dispora')
    app.register_blueprint(routes.dispora_opendata_jumlah_klub_olahraga_provinsi_jawa_barat.bp, url_prefix='/dispora')
    app.register_blueprint(routes.dispora_opendata_jumlah_lembaga_pengelola_olahraga_provinsi_jawa.bp, url_prefix='/dispora')
    app.register_blueprint(routes.dispora_opendata_jumlah_organisasi_kepemudaan_provinsi_jawa_barat.bp, url_prefix='/dispora')
    app.register_blueprint(routes.dispora_opendata_jumlah_pasukan_pengibar_bendera_pusaka_provinsi_jawa.bp, url_prefix='/dispora')
    app.register_blueprint(routes.dispora_opendata_jumlah_pemuda_pelopor_provinsi_jawa_barat.bp, url_prefix='/dispora')
    app.register_blueprint(routes.dispora_opendata_jumlah_pertukaran_pemuda_antar_negara_provinsi_jawa.bp, url_prefix='/dispora')
    app.register_blueprint(routes.dispora_opendata_jumlah_sarana_dan_prasarana_olahraga_provinsi_jawa.bp, url_prefix='/dispora')
    app.register_blueprint(routes.dispora_opendata_jumlah_sarjana_penggerak_pendamping_pembangunan.bp, url_prefix='/dispora')
    app.register_blueprint(routes.dispusipda_opendata_pustakawan_jenjang_jabatan_provinsi_jawa_barat.bp, url_prefix='/dispusipda')
    app.register_blueprint(routes.distanhor_harga_hortikultura_grosir.bp, url_prefix='/distanhor')
    app.register_blueprint(routes.distanhor_harga_hortikultura_sentra_produksi.bp, url_prefix='/distanhor')
    app.register_blueprint(routes.distanhor_harga_pangan.bp, url_prefix='/distanhor')
    app.register_blueprint(routes.distanhor_opendata_luas_areal_tanam_jamu_kabupaten_kota.bp, url_prefix='/distanhor')
    app.register_blueprint(routes.distanhor_opendata_luas_areal_tanam_sayuran.bp, url_prefix='/distanhor')
    app.register_blueprint(routes.distanhor_opendata_luas_panen_kacang.bp, url_prefix='/distanhor')
    app.register_blueprint(routes.distanhor_opendata_luas_panen_padi.bp, url_prefix='/distanhor')
    app.register_blueprint(routes.distanhor_opendata_luas_panen_sayuran_menurut_kota_kab_jawa_barat.bp, url_prefix='/distanhor')
    app.register_blueprint(routes.distanhor_opendata_luas_panen_umbi_menurut_kota_kab_jawa_barat.bp, url_prefix='/distanhor')
    app.register_blueprint(routes.distanhor_opendata_luas_tanam_kacang_kacang_menurut_kota_kab_jawa_barat.bp, url_prefix='/distanhor')
    app.register_blueprint(routes.distanhor_opendata_luas_tanam_padi_menurut_kota_kab_jawa_barat.bp, url_prefix='/distanhor')
    app.register_blueprint(routes.distanhor_opendata_luas_tanam_umbi_menurut_kota_kab_jawa_barat.bp, url_prefix='/distanhor')
    app.register_blueprint(routes.distanhor_opendata_produksi_buah_menurut_kota_kab_jawa_barat.bp, url_prefix='/distanhor')
    app.register_blueprint(routes.distanhor_opendata_produksi_kacang_menurut_kota_kab_jawa_barat.bp, url_prefix='/distanhor')
    app.register_blueprint(routes.distanhor_opendata_produksi_padi_menurut_kota_kab_jawa_barat.bp, url_prefix='/distanhor')
    app.register_blueprint(routes.distanhor_opendata_produksi_sayuran_menurut_kota_kab_jawa_barat.bp, url_prefix='/distanhor')
    app.register_blueprint(routes.distanhor_opendata_produksi_umbi_menurut_kota_kab_jawa_barat.bp, url_prefix='/distanhor')
    app.register_blueprint(routes.distanhor_opendata_produktivitas_kedelai_menurut_kota_kab_jawa_barat.bp, url_prefix='/distanhor')
    app.register_blueprint(routes.distanhor_opendata_produktivitas_umbi_menurut_kota_kab_jawa_barat.bp, url_prefix='/distanhor')
    app.register_blueprint(routes.distanhor_opendata_tanaman_buah.bp, url_prefix='/distanhor')
    app.register_blueprint(routes.distanhor_opendata_tanaman_yang_menghasilkan.bp, url_prefix='/distanhor')
    app.register_blueprint(routes.dkpp_jumlah_pemotongan_hewan_ternak_di_luar_rph_provinsi_jawa_barat.bp, url_prefix='/dkpp')
    app.register_blueprint(routes.dkpp_jumlah_pemotongan_hewan_ternak_di_rph_pemerintah_provinsi_jawa_.bp, url_prefix='/dkpp')
    app.register_blueprint(routes.dkpp_jumlah_pemotongan_hewan_ternak_di_rph_swasta_provinsi_jawa_bara.bp, url_prefix='/dkpp')
    app.register_blueprint(routes.dkpp_opendata_daerah_asal_pemasukan_ternak_ke_provinsi_jawa_barat.bp, url_prefix='/dkpp')
    app.register_blueprint(routes.dkpp_opendata_daerah_asal_pemasukan_unggas_dan_telur_ke_provinsi_jaw.bp, url_prefix='/dkpp')
    app.register_blueprint(routes.dkpp_opendata_jumlah_pemasukan_ayam_buras_ke_provinsi_jawa_barat.bp, url_prefix='/dkpp')
    app.register_blueprint(routes.dkpp_opendata_jumlah_pemasukan_ayam_pedaging_ke_provinsi_jawa_barat.bp, url_prefix='/dkpp')
    app.register_blueprint(routes.dkpp_opendata_jumlah_pemasukan_ayam_petelur_ke_provinsi_jawa_barat.bp, url_prefix='/dkpp')
    app.register_blueprint(routes.dkpp_opendata_jumlah_pemasukan_babi_ke_provinsi_jawa_barat.bp, url_prefix='/dkpp')
    app.register_blueprint(routes.dkpp_opendata_jumlah_pemasukan_domba_ke_provinsi_jawa_barat.bp, url_prefix='/dkpp')
    app.register_blueprint(routes.dkpp_opendata_jumlah_pemasukan_itik_ke_provinsi_jawa_barat.bp, url_prefix='/dkpp')
    app.register_blueprint(routes.dkpp_opendata_jumlah_pemasukan_kambing_ke_provinsi_jawa_barat.bp, url_prefix='/dkpp')
    app.register_blueprint(routes.dkpp_opendata_jumlah_pemasukan_kerbau_ke_provinsi_jawa_barat.bp, url_prefix='/dkpp')
    app.register_blueprint(routes.dkpp_opendata_jumlah_pemasukan_kuda_ke_provinsi_jawa_barat.bp, url_prefix='/dkpp')
    app.register_blueprint(routes.dkpp_opendata_jumlah_pemasukan_kulit_domba_ke_provinsi_jawa_barat.bp, url_prefix='/dkpp')
    app.register_blueprint(routes.dkpp_opendata_jumlah_pemasukan_kulit_kambing_ke_provinsi_jawa_barat.bp, url_prefix='/dkpp')
    app.register_blueprint(routes.dkpp_opendata_jumlah_pemasukan_kulit_kerbau_ke_provinsi_jawa_barat.bp, url_prefix='/dkpp')
    app.register_blueprint(routes.dkpp_opendata_jumlah_pemasukan_kulit_sapi_ke_provinsi_jawa_barat.bp, url_prefix='/dkpp')
    app.register_blueprint(routes.dkpp_opendata_jumlah_pemasukan_sapi_perah_ke_provinsi_jawa_barat.bp, url_prefix='/dkpp')
    app.register_blueprint(routes.dkpp_opendata_jumlah_pemasukan_sapi_potong_ke_provinsi_jawa_barat.bp, url_prefix='/dkpp')
    app.register_blueprint(routes.dkpp_opendata_jumlah_pemasukan_telur_ayam_buras_ke_provinsi_jawa_bar.bp, url_prefix='/dkpp')
    app.register_blueprint(routes.dkpp_opendata_jumlah_pemotongan_hewan_ternak_rph_pemerintah.bp, url_prefix='/dkpp')
    app.register_blueprint(routes.dkpp_opendata_jumlah_pemotongan_hewan_ternak_rph_swasta_provinsi.bp, url_prefix='/dkpp')
    app.register_blueprint(routes.dkpp_opendata_jumlah_pemotongan_hewan_ternak_unregister_provinsi.bp, url_prefix='/dkpp')
    app.register_blueprint(routes.dkpp_opendata_jumlah_pengeluaran_ayam_buras_ke_provinsi_jawa.bp, url_prefix='/dkpp')
    app.register_blueprint(routes.dkpp_opendata_jumlah_pengeluaran_ayam_buras_ke_provinsi_jawa_barat.bp, url_prefix='/dkpp')
    app.register_blueprint(routes.dkpp_opendata_jumlah_pengeluaran_ayam_pedaging_ke_provinsi_jawa.bp, url_prefix='/dkpp')
    app.register_blueprint(routes.dkpp_opendata_jumlah_pengeluaran_ayam_pedaging_ke_provinsi_jawa_bara.bp, url_prefix='/dkpp')
    app.register_blueprint(routes.dkpp_opendata_jumlah_pengeluaran_ayam_petelur_ke_provinsi_jawa.bp, url_prefix='/dkpp')
    app.register_blueprint(routes.dkpp_opendata_jumlah_pengeluaran_ayam_petelur_ke_provinsi_jawa_barat.bp, url_prefix='/dkpp')
    app.register_blueprint(routes.dkpp_opendata_jumlah_pengeluaran_babi_ke_provinsi_jawa_barat.bp, url_prefix='/dkpp')
    app.register_blueprint(routes.dkpp_opendata_jumlah_pengeluaran_domba_ke_provinsi_jawa_barat.bp, url_prefix='/dkpp')
    app.register_blueprint(routes.dkpp_opendata_jumlah_pengeluaran_itik_ke_provinsi_jawa_barat.bp, url_prefix='/dkpp')
    app.register_blueprint(routes.dkpp_opendata_jumlah_pengeluaran_kambing_ke_provinsi_jawa_barat.bp, url_prefix='/dkpp')
    app.register_blueprint(routes.dkpp_opendata_jumlah_pengeluaran_kerbau_ke_provinsi_jawa_barat.bp, url_prefix='/dkpp')
    app.register_blueprint(routes.dkpp_opendata_jumlah_pengeluaran_kuda_ke_provinsi_jawa_barat.bp, url_prefix='/dkpp')
    app.register_blueprint(routes.dkpp_opendata_jumlah_pengeluaran_kulit_domba_ke_provinsi_jawa_barat.bp, url_prefix='/dkpp')
    app.register_blueprint(routes.dkpp_opendata_jumlah_pengeluaran_kulit_kerbau_ke_provinsi_jawa_barat.bp, url_prefix='/dkpp')
    app.register_blueprint(routes.dkpp_opendata_jumlah_pengeluaran_kulit_sapi_ke_provinsi_jawa_barat.bp, url_prefix='/dkpp')
    app.register_blueprint(routes.dkpp_opendata_jumlah_pengeluaran_sapi_perah_ke_provinsi_jawa_barat.bp, url_prefix='/dkpp')
    app.register_blueprint(routes.dkpp_opendata_jumlah_pengeluaran_sapi_potong_ke_provinsi_jawa_barat.bp, url_prefix='/dkpp')
    app.register_blueprint(routes.dkpp_opendata_jumlah_pengeluaran_telur_ayam_buras_ke_provinsi_jawa_b.bp, url_prefix='/dkpp')
    app.register_blueprint(routes.dkpp_opendata_jumlah_pengeluaran_telur_ayam_ke_provinsi_jawa_barat.bp, url_prefix='/dkpp')
    app.register_blueprint(routes.dkpp_opendata_jumlah_pengeluaran_telur_itik_ke_provinsi_jawa_barat.bp, url_prefix='/dkpp')
    app.register_blueprint(routes.dkpp_opendata_perbandingan_populasi_ternak_jawa_barat_dengan.bp, url_prefix='/dkpp')
    app.register_blueprint(routes.dkpp_opendata_perkembangan_ayam_buras_di_provinsi_jawa_barat.bp, url_prefix='/dkpp')
    app.register_blueprint(routes.dkpp_opendata_perkembangan_ayam_buras_provinsi_jawa_barat.bp, url_prefix='/dkpp')
    app.register_blueprint(routes.dkpp_opendata_perkembangan_ayam_pedaging_di_provinsi_jawa_barat.bp, url_prefix='/dkpp')
    app.register_blueprint(routes.dkpp_opendata_perkembangan_ayam_pedaging_provinsi_jawa_barat.bp, url_prefix='/dkpp')
    app.register_blueprint(routes.dkpp_opendata_perkembangan_ayam_petelur_di_provinsi_jawa_barat.bp, url_prefix='/dkpp')
    app.register_blueprint(routes.dkpp_opendata_perkembangan_ayam_petelur_provinsi_jawa_barat.bp, url_prefix='/dkpp')
    app.register_blueprint(routes.dkpp_opendata_perkembangan_babi_di_provinsi_jawa_barat.bp, url_prefix='/dkpp')
    app.register_blueprint(routes.dkpp_opendata_perkembangan_babi_provinsi_jawa_barat.bp, url_prefix='/dkpp')
    app.register_blueprint(routes.dkpp_opendata_perkembangan_domba_di_provinsi_jawa_barat.bp, url_prefix='/dkpp')
    app.register_blueprint(routes.dkpp_opendata_perkembangan_domba_provinsi_jawa_barat.bp, url_prefix='/dkpp')
    app.register_blueprint(routes.dkpp_opendata_perkembangan_itik_di_provinsi_jawa_barat.bp, url_prefix='/dkpp')
    app.register_blueprint(routes.dkpp_opendata_perkembangan_itik_provinsi_jawa_barat.bp, url_prefix='/dkpp')
    app.register_blueprint(routes.dkpp_opendata_perkembangan_kambing_di_provinsi_jawa_barat.bp, url_prefix='/dkpp')
    app.register_blueprint(routes.dkpp_opendata_perkembangan_kambing_provinsi_jawa_barat.bp, url_prefix='/dkpp')
    app.register_blueprint(routes.dkpp_opendata_perkembangan_kerbau_di_provinsi_jawa_barat.bp, url_prefix='/dkpp')
    app.register_blueprint(routes.dkpp_opendata_perkembangan_kerbau_provinsi_jawa_barat.bp, url_prefix='/dkpp')
    app.register_blueprint(routes.dkpp_opendata_perkembangan_kuda_di_provinsi_jawa_barat.bp, url_prefix='/dkpp')
    app.register_blueprint(routes.dkpp_opendata_perkembangan_kuda_provinsi_jawa_barat.bp, url_prefix='/dkpp')
    app.register_blueprint(routes.dkpp_opendata_perkembangan_kulit_domba_di_provinsi_jawa_barat.bp, url_prefix='/dkpp')
    app.register_blueprint(routes.dkpp_opendata_perkembangan_kulit_domba_provinsi_jawa_barat.bp, url_prefix='/dkpp')
    app.register_blueprint(routes.dkpp_opendata_perkembangan_kulit_kambing_di_provinsi_jawa_barat.bp, url_prefix='/dkpp')
    app.register_blueprint(routes.dkpp_opendata_perkembangan_kulit_kambing_provinsi_jawa_barat.bp, url_prefix='/dkpp')
    app.register_blueprint(routes.dkpp_perbandingan_populasi_ternak_jawa_barat_dengan_provinsi_lain.bp, url_prefix='/dkpp')
    app.register_blueprint(routes.dlh_opendata_indeks_lingkungan_hidup_jawa_barat.bp, url_prefix='/dlh')
    app.register_blueprint(routes.dlh_opendata_jumlah_ritasi_sampah_masuk_ke_pengelolaan_kompos.bp, url_prefix='/dlh')
    app.register_blueprint(routes.dlh_opendata_jumlah_sampah_masuk_ke_pengelolaan_kompos_sarimukti.bp, url_prefix='/dlh')
    app.register_blueprint(routes.dlh_opendata_jumlah_sekolah_berbudaya_lingkungan_mandiri_provinsi.bp, url_prefix='/dlh')
    app.register_blueprint(routes.dlh_opendata_jumlah_sekolah_berbudaya_lingkungan_provinsi_jawa.bp, url_prefix='/dlh')
    app.register_blueprint(routes.dlh_opendata_jumlah_sekolah_berbudaya_lingkungan_tk_nasioanl.bp, url_prefix='/dlh')
    app.register_blueprint(routes.dpmdes_opendata_indeks_desa_membangun_jawa_barat.bp, url_prefix='/dpmdes')
    app.register_blueprint(routes.dpmdes_opendata_jumlah_desa_penerima_bantuan_kinerja_aparatur.bp, url_prefix='/dpmdes')
    app.register_blueprint(routes.dpmdes_opendata_jumlah_desa_status_perkembangan_jawa_barat.bp, url_prefix='/dpmdes')
    app.register_blueprint(routes.dpmdes_opendata_jumlah_kelurahan_status_perkembangan_jawa_barat.bp, url_prefix='/dpmdes')
    app.register_blueprint(routes.dtph_daily_price.bp, url_prefix='/dtph')
    app.register_blueprint(routes.dtph_harga_komoditas.bp, url_prefix='/dtph')
    app.register_blueprint(routes.dtph_komoditas.bp, url_prefix='/dtph')
    app.register_blueprint(routes.esdm_opendata_dana_bagi_hasil_panas_bumi_provinsi_jawa_barat.bp, url_prefix='/esdm')
    app.register_blueprint(routes.esdm_opendata_jumlah_perusahaan_penetapan_nilai_perolehan_air.bp, url_prefix='/esdm')
    app.register_blueprint(routes.esdm_opendata_jumlah_produksi_gas_berdasarkan_daerah_penghasil.bp, url_prefix='/esdm')
    app.register_blueprint(routes.esdm_opendata_jumlah_produksi_minyak_berdasarkan_daerah_penghasil.bp, url_prefix='/esdm')
    app.register_blueprint(routes.esdm_opendata_penetapan_nilai_perolehan_air_tanah_npa_provinsi.bp, url_prefix='/esdm')
    app.register_blueprint(routes.jds_opendata_kode_wilayah_kecamatan.bp, url_prefix='/jds')
    app.register_blueprint(routes.jds_opendata_kode_wilayah_kelurahan_desa.bp, url_prefix='/jds')
    app.register_blueprint(routes.jds_opendata_kode_wilayah_kota_kabupaten.bp, url_prefix='/jds')
    app.register_blueprint(routes.jds_opendata_kode_wilayah_provinsi.bp, url_prefix='/jds')
    app.register_blueprint(routes.jqr_opendata_laporan_aduan_kategori.bp, url_prefix='/jqr')
    app.register_blueprint(routes.jqr_opendata_laporan_aduan_keterangan.bp, url_prefix='/jqr')
    app.register_blueprint(routes.jsh_opendata_aduan_masuk_per_hari_semua_platform_medsos.bp, url_prefix='/jsh')
    app.register_blueprint(routes.jsh_opendata_aduan_masuk_semua_platform_medsos.bp, url_prefix='/jsh')
    app.register_blueprint(routes.kemendikbud_opendata_angka_partisipasi_kasar_sd_provinsi_jawa_barat.bp, url_prefix='/kemendikbud')
    app.register_blueprint(routes.kemendikbud_opendata_angka_partisipasi_kasar_sma_provinsi_jawa_barat.bp, url_prefix='/kemendikbud')
    app.register_blueprint(routes.kemendikbud_opendata_angka_partisipasi_kasar_smp_provinsi_jawa_barat.bp, url_prefix='/kemendikbud')
    app.register_blueprint(routes.kemendikbud_opendata_penduduk_sd_usia_7_12_tahun_provinsi_jawa_barat.bp, url_prefix='/kemendikbud')
    app.register_blueprint(routes.kemendikbud_opendata_penduduk_sma_usia_16_18_tahun_provinsi_jawa_barat.bp, url_prefix='/kemendikbud')
    app.register_blueprint(routes.kemendikbud_opendata_penduduk_smp_usia_13_15_tahun_provinsi_jawa_barat.bp, url_prefix='/kemendikbud')
    app.register_blueprint(routes.master_wilayah_merge_kemendagri_2017_bps_2018_desa.bp, url_prefix='/master')
    app.register_blueprint(routes.master_wilayah_merge_kemendagri_2017_bps_2018_kabupaten.bp, url_prefix='/master')
    app.register_blueprint(routes.master_wilayah_merge_kemendagri_2017_bps_2018_kecamatan.bp, url_prefix='/master')
    app.register_blueprint(routes.master_wilayah_merge_kemendagri_2017_bps_2018_provinsi.bp, url_prefix='/master')
    app.register_blueprint(routes.metadata_business_column_description.bp, url_prefix='/metadata')
    app.register_blueprint(routes.metadata_operational_ingestion_info.bp, url_prefix='/metadata')
    app.register_blueprint(routes.metadata_technical_table_catalog.bp, url_prefix='/metadata')
    app.register_blueprint(routes.pbj_dashboard_bidang.bp, url_prefix='/pbj')
    app.register_blueprint(routes.pbj_dashboard_kategori.bp, url_prefix='/pbj')
    app.register_blueprint(routes.pbj_dashboard_kegiatan.bp, url_prefix='/pbj')
    app.register_blueprint(routes.pbj_dashboard_kldi.bp, url_prefix='/pbj')
    app.register_blueprint(routes.pbj_dashboard_lpse.bp, url_prefix='/pbj')
    app.register_blueprint(routes.pbj_dashboard_metodepemilihan.bp, url_prefix='/pbj')
    app.register_blueprint(routes.pbj_dashboard_paket.bp, url_prefix='/pbj')
    app.register_blueprint(routes.pbj_dashboard_penyedia.bp, url_prefix='/pbj')
    app.register_blueprint(routes.pbj_dashboard_program.bp, url_prefix='/pbj')
    app.register_blueprint(routes.pbj_dashboard_realisasi.bp, url_prefix='/pbj')
    app.register_blueprint(routes.pbj_dashboard_satuankerja.bp, url_prefix='/pbj')
    app.register_blueprint(routes.pbj_dashboard_skpd.bp, url_prefix='/pbj')
    app.register_blueprint(routes.pbj_dashboard_subskpd.bp, url_prefix='/pbj')
    app.register_blueprint(routes.pbj_dashboard_tahapan.bp, url_prefix='/pbj')
    app.register_blueprint(routes.pbj_dashboard_urusan.bp, url_prefix='/pbj')
    app.register_blueprint(routes.pbj_dim_bulan.bp, url_prefix='/pbj')
    app.register_blueprint(routes.pbj_dim_date.bp, url_prefix='/pbj')
    app.register_blueprint(routes.pbj_dim_giat.bp, url_prefix='/pbj')
    app.register_blueprint(routes.pbj_dim_giat_bl.bp, url_prefix='/pbj')
    app.register_blueprint(routes.pbj_dim_giat_nogiat.bp, url_prefix='/pbj')
    app.register_blueprint(routes.pbj_dim_kategori.bp, url_prefix='/pbj')
    app.register_blueprint(routes.pbj_dim_kldi.bp, url_prefix='/pbj')
    app.register_blueprint(routes.pbj_dim_lelang_rup.bp, url_prefix='/pbj')
    app.register_blueprint(routes.pbj_dim_lpse.bp, url_prefix='/pbj')
    app.register_blueprint(routes.pbj_dim_metodepemilihan.bp, url_prefix='/pbj')
    app.register_blueprint(routes.pbj_dim_paket.bp, url_prefix='/pbj')
    app.register_blueprint(routes.pbj_dim_program.bp, url_prefix='/pbj')
    app.register_blueprint(routes.pbj_dim_satker.bp, url_prefix='/pbj')
    app.register_blueprint(routes.pbj_dim_skpd.bp, url_prefix='/pbj')
    app.register_blueprint(routes.pbj_dim_skpdsub.bp, url_prefix='/pbj')
    app.register_blueprint(routes.pbj_dim_tahun.bp, url_prefix='/pbj')
    app.register_blueprint(routes.pbj_dim_urusan.bp, url_prefix='/pbj')
    app.register_blueprint(routes.pbj_dwh_dim_kategori.bp, url_prefix='/pbj')
    app.register_blueprint(routes.pbj_dwh_dim_lpse.bp, url_prefix='/pbj')
    app.register_blueprint(routes.pbj_dwh_dim_paket.bp, url_prefix='/pbj')
    app.register_blueprint(routes.pbj_fact_apbd.bp, url_prefix='/pbj')
    app.register_blueprint(routes.pbj_fact_sipkd.bp, url_prefix='/pbj')
    app.register_blueprint(routes.pbj_fact_sirup.bp, url_prefix='/pbj')
    app.register_blueprint(routes.pbj_fact_spse.bp, url_prefix='/pbj')
    app.register_blueprint(routes.pbj_lelangpengumuman.bp, url_prefix='/pbj')
    app.register_blueprint(routes.pbj_lelangselesai.bp, url_prefix='/pbj')
    app.register_blueprint(routes.pbj_lkpp.bp, url_prefix='/pbj')
    app.register_blueprint(routes.pbj_penyedia_dan_swakelola.bp, url_prefix='/pbj')
    app.register_blueprint(routes.pbj_spse_dim_date.bp, url_prefix='/pbj')
    app.register_blueprint(routes.pbj_spse_dim_paket.bp, url_prefix='/pbj')
    app.register_blueprint(routes.psda_opendata_inventarisasi_sungai_lintas_panjang_jawa_barat.bp, url_prefix='/psda')
    app.register_blueprint(routes.psda_opendata_inventarisasi_sungai_non_lintas_panjang_provinsi_jawa.bp, url_prefix='/psda')
    app.register_blueprint(routes.psda_opendata_luas_daerah_irigasi_lintas_ws_ciliwung_cisadane_dan.bp, url_prefix='/psda')
    app.register_blueprint(routes.psda_opendata_luas_daerah_irigasi_lintas_ws_cimanuk_cisanggarung.bp, url_prefix='/psda')
    app.register_blueprint(routes.psda_opendata_luas_daerah_irigasi_lintas_ws_cisadea_cibareno_dan.bp, url_prefix='/psda')
    app.register_blueprint(routes.psda_opendata_luas_daerah_irigasi_lintas_ws_citanduy_dan_per.bp, url_prefix='/psda')
    app.register_blueprint(routes.psda_opendata_luas_daerah_irigasi_lintas_ws_citarum_dan_per.bp, url_prefix='/psda')
    app.register_blueprint(routes.psda_opendata_luas_daerah_irigasi_lintas_ws_ciwulan_cilaki_dan_per.bp, url_prefix='/psda')
    app.register_blueprint(routes.psda_opendata_luas_daerah_irigasi_tambak_ws_citarum_dan_permen.bp, url_prefix='/psda')
    app.register_blueprint(routes.psda_opendata_luas_daerah_irigasi_utuh_ws_ciliwung_cisadane_dan.bp, url_prefix='/psda')
    app.register_blueprint(routes.psda_opendata_luas_daerah_irigasi_utuh_ws_cimanuk_cisanggarung_dan.bp, url_prefix='/psda')
    app.register_blueprint(routes.psda_opendata_luas_daerah_irigasi_utuh_ws_cisadea_cibareno_dan.bp, url_prefix='/psda')
    app.register_blueprint(routes.psda_opendata_luas_daerah_irigasi_utuh_ws_citanduy_dan_permen_pupr.bp, url_prefix='/psda')
    app.register_blueprint(routes.psda_opendata_luas_daerah_irigasi_utuh_ws_citarum_dan_permen_pupr.bp, url_prefix='/psda')
    app.register_blueprint(routes.psda_opendata_luas_daerah_irigasi_utuh_ws_ciwulan_cilaki_dan_permen.bp, url_prefix='/psda')
    app.register_blueprint(routes.psda_opendata_nama_dan_luas_das_ws_ciliwung_cisadane.bp, url_prefix='/psda')
    app.register_blueprint(routes.psda_opendata_nama_dan_luas_das_ws_cimanuk_cisanggarung.bp, url_prefix='/psda')
    app.register_blueprint(routes.psda_opendata_nama_dan_luas_das_ws_cisadea_cibareno.bp, url_prefix='/psda')
    app.register_blueprint(routes.psda_opendata_nama_dan_luas_das_ws_citanduy.bp, url_prefix='/psda')
    app.register_blueprint(routes.psda_opendata_nama_dan_luas_das_ws_citarum.bp, url_prefix='/psda')
    app.register_blueprint(routes.psda_opendata_nama_dan_luas_das_ws_ciwulan_cilaki.bp, url_prefix='/psda')
    app.register_blueprint(routes.psda_opendata_panjang_pantai_provinsi_jawa_barat.bp, url_prefix='/psda')
    app.register_blueprint(routes.psda_opendata_pengelolaan_situ_jawa_barat.bp, url_prefix='/psda')
    app.register_blueprint(routes.psda_opendata_pos_duga_air_ws_ciliwung_cisadane.bp, url_prefix='/psda')
    app.register_blueprint(routes.psda_opendata_pos_duga_air_ws_cimanuk_cisanggarung.bp, url_prefix='/psda')
    app.register_blueprint(routes.psda_opendata_pos_duga_air_ws_cisadea_cibareno.bp, url_prefix='/psda')
    app.register_blueprint(routes.psda_opendata_pos_duga_air_ws_citanduy.bp, url_prefix='/psda')
    app.register_blueprint(routes.psda_opendata_pos_duga_air_ws_citarum.bp, url_prefix='/psda')
    app.register_blueprint(routes.psda_opendata_pos_duga_air_ws_ciwulan_cilaki.bp, url_prefix='/psda')
    app.register_blueprint(routes.psda_opendata_pos_hujan_ws_ciliwung_cisadane.bp, url_prefix='/psda')
    app.register_blueprint(routes.psda_opendata_pos_hujan_ws_cimanuk_cisanggarung.bp, url_prefix='/psda')
    app.register_blueprint(routes.psda_opendata_pos_hujan_ws_cisadea_cibareno.bp, url_prefix='/psda')
    app.register_blueprint(routes.psda_opendata_pos_hujan_ws_citanduy.bp, url_prefix='/psda')
    app.register_blueprint(routes.psda_opendata_pos_hujan_ws_citarum.bp, url_prefix='/psda')
    app.register_blueprint(routes.psda_opendata_pos_hujan_ws_ciwulan_cilaki.bp, url_prefix='/psda')
    app.register_blueprint(routes.psda_opendata_sungai_lintas_jawa_barat.bp, url_prefix='/psda')
    app.register_blueprint(routes.psda_opendata_sungai_non_lintas_provinsi_jawa_barat.bp, url_prefix='/psda')
    app.register_blueprint(routes.public_m_spg_satuan_kerja.bp, url_prefix='/public')
    # end of blueprint

    # load configuration
    app.config.from_object(configuration)

    # init app
    cors.init_app(app, resources={r"/*": {"origins": "*"}})
    compress.init_app(app)
    socketio.init_app(app)
    jwtmanager.init_app(app)
    postgre_alchemy.init_app(app)

    return app
